Subject: Re: bug#65632: 30.0.50; Proposal to improve `faces--attribute-at-point'.

From: David Ponce <[email-masked]>
Date: Mon, 24 Feb 2025 12:01:41 +0100

On 2025-02-23 02:27, Stefan Kangas wrote:
> David Ponce <[email-masked]> writes:
> 
>> Sorry, my previous patch was buggy.  Here is the correct one.
> 
> (Sorry for the lack of a response for a long time here.)
> 
> Could you please provide a rationale for these changes?  IOW, what are
> they trying to achieve?  Thanks in advance.

Hello Stefan,

Sincerely, I thought this bug was closed a long time ago.

The rationale of this proposal was to handle any possible face spec returned by (get-char-property (point) 'face) in `faces--attribute-at-point' (by using `face-attributes-as-vector'), because in some corner cases the current implementation can return a wrong attribute value, as illustrated by the simple recipe in my initial post.

However, if I correctly understand Eli's objection, I agree that the face spec in my recipe can be considered as invalid, and not supported by `faces--attribute-at-point', even if a such face spec is an accepted text property, probably for backward compatibility.

Thanks